/*------------------------------------------------------------------------
Metabox Stylesheet
------------------------------------------------------------------------ */

/* Clearfix */
.clear{clear:both;display:block;height:1px;margin-top:-1px;overflow:hidden;visibility:hidden;width:0}.clearfix:after{clear:both;content:' ';display:block;font-size:0;height:0;line-height:0;visibility:hidden;width:0}* html .clearfix,:first-child+html .clearfix{zoom:1}

.ui-custom-overlay {
    z-index: 1001 !important;
}

.ui-custom-dialog {
    z-index: 99999 !important;
}


/* Structure
------------------------------------------------------------------------ */
.r-metabox {
    margin: 20px 0;
}
.box-row {
    padding: 5px 0;
    position: relative;
}


/* Forms
------------------------------------------------------------------------ */

/* Inputs */
.box-row label {
    font-weight: 600;
    font-size: 14px;
    display: inline-block;
    margin-bottom: 10px;
    color: #222;
}

.box-row input[type="text"] {
    overflow: hidden;
    float: left;
    clear: left;
}

.box-row textarea {
    margin-bottom: 0;
    clear: both;
}

.box-row input[type="text"], .box-row textarea {
    border: 1px solid #ccc;
    color: #333;
    width: 605px;
    padding: 8px 6px;
    background: #fff;
    width: 99.8%;
    margin-bottom: 10px;
    -webkit-box-sizing: border-box;
 /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box;
    /* Firefox, other Gecko */
    box-sizing: border-box;
}

/* Select */
.box-row select {
    color: #333;
    width: auto;
    display: block;
    border: 1px solid #ccc;
    min-width: 200px;
    margin-bottom: 0;
    clear: both;
    margin-bottom: 10px;
}

/* Buttons */
.box-row button {
    margin-bottom: 10px;
}

/* Switch button */
.box-row .switch-wrap {
    float: left;
}
.box-row .switch-label { 
    float: left;
    width: 280px;
}

/* Colorpicker */
.colorpicker-wrap input { border-radius: 0; }

/* Editor */
.custom-tiny-editor {
    clear: both;
    margin-bottom: 10px;
}
.custom-tiny-editor .mceLayout { background-color:#fff; }

/* Multiple Selects */
.ms-container { margin-bottom: 10px; }
#side-sortables .ms-container {
    width: auto;
}
#side-sortables .ms-container .ms-selectable {
    margin-bottom: 30px;
}
#side-sortables .ms-container .ms-selectable,
#side-sortables .ms-container .ms-selection
{ 
    float: none;
    clear: both;
    width: 100%;
}


/* Groups */
.input-group {
    position: relative;
    display: table;
    border-collapse: separate;
    margin-bottom: 10px;
}
.input-group input, .input-group select {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    display: table-cell;
    margin: 0 !important;
    overflow: auto;
    padding: 0 6px;
    min-height: 34px;
}
.ie8 .input-group input, .ie8 .input-group select {
    line-height: 34px;
}
.input-group-addon {
    font-size: 14px;
    font-weight: normal;
    line-height: 1;
    color: #555;
    text-align: center;
    background-color: #eee;
    border: 1px solid #ccc;
    border-radius: 4px;
    width: 30px;
    white-space: nowrap;
    vertical-align: middle;
    display: table-cell;
}
.input-group .input-group-addon:first-child {
    border-right: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
.input-group .input-group-addon:last-child {
    border-left: 0;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}


/* Helpers
------------------------------------------------------------------------*/


/* Messages
------------------------------------*/
.box-row .msg-dotted {
    padding: 24px;
    margin: 6px 0;
    overflow: hidden;
    border: 4px dashed #ddd;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    color: #888;
}

/* Error */
.box-row .msg.msg-error {
    border-color: #e9c59b;
    background: #ffecce;
    color: #e3302c;
}

/* Success */
.box-row .msg.msg-success {
    border-color: #bfde84;
    background: #edfbd8;
    color: #508600;
}

/* Info */      
.box-row .msg.msg-info {
    border-color: #bbdbe0;
    background: #ecf9ff;
    color: #0888c3;
}

/* Warning */
.box-row .msg.msg-warning {
    border-color: #e5e181;
    background: #fefde2;
    color: #666;
}

.box-row .msg {
    font-family: "Open Sans", Arial, Helvetica, sans-serif;
    display: block;
    font-size: 12px;
    font-weight: bold;
    border-left: 4px solid;
    padding: 16px 30px 16px 24px;
    clear: both;
    margin: 10px 0;
}


/* Help Box
------------------------------------*/
.help-box {
    width: auto;
    clear: both;
    color: #666;
    font-size: 11px;
    line-height: 18px;
    margin: 0;
}


/* Code
------------------------------------*/
.box-row code {
    display: block;
    border-width: 1px;
    border-left-width: 4px;
    border-style: solid;
    border-color: #ccc;
    overflow: auto;
    font-family: "Courier New", Courier, monospace;
    margin: 10px 0;
    color: #666;
    font-size: 11px;
    line-height: 16px;
    padding: 10px;
    clear: both;
    width: auto;
    height: 100%;
    background-color: #f6f6f6;
}


/* Font Awesome icon
------------------------------------*/
i.icon {
    font-style: normal;
    font-family: 'FontAwesome';
    text-shadow: none;
    font-size: 14px;
    font-weight: normal;
}

i.icon {
    display: inline-block;
    margin-right: 10px;
}


/* Plugins
------------------------------------------------------------------------ */


/* Image Select
------------------------------------*/
ul.select-image {
    overflow: hidden;
    margin: 0 0 5px 0;
}

ul.select-image li {
    position: relative;
    overflow: hidden;
    float: left;
    margin-right: 10px;
}

ul.select-image li img {
    display: block;
    cursor: pointer;
    opacity: .3;
    position: relative;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=30)";
    transition: opacity .25s ease-in-out;
   -moz-transition: opacity .25s ease-in-out;
   -webkit-transition: opacity .25s ease-in-out;
}

ul.select-image li img.selected-image {
   -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
   opacity: 1;
}


/* Datepicker
------------------------------------*/
.datepicker-label {
    float: left;
}
.datepicker-wrap input, .date-range-wrap input {
    width: 80px !important;
}
.date-range-start, .date-range-end { 
    float: left;
}
.date-range-end:before {
    content: "-";
    float: left;
    margin: 0 10px;
    position: relative;
    top: -10px;
}


/* Time Range
------------------------------------*/
.time-range-wrap input {
    width: 80px !important;
}
.time-range-start, .time-range-end { 
    float: left;
}
.time-range-end:before {
    content: "-";
    float: left;
    margin: 0 10px;
    position: relative;
    top: -10px;
}


/* Videos
------------------------------------*/
._video {
    margin-bottom: 15px;
}


/* Range
------------------------------------*/
 
/* Slider root element */
#side-sortables .range .range-slider { width: 160px; }
.range {
    clear: both;
    margin-bottom: 10px;
}

.range .range-slider { 
    width: 300px;
    margin-left: 10px;
    margin-right: 10px;
    float: none;
    clear: none;
    display: inline-block;
}

/* The input field */
.range input[type="text"] {
    border: 1px solid #aaa;
    font-size: 12px;
    margin: 0 6px 0 0;
    padding: 3px 0;
    text-align: center;
    width: 40px;
    color: #333;
    clear: none;
    float: none;
    position: relative;
    top: 0px;
    display: inline-block;
}


/* Upload
------------------------------------*/
.image-holder { clear:both; display:block; position:relative; }
.image-holder img { margin-top:8px; border:1px solid #ddd; padding:8px; background:transparent url(../images/metabox/img-bg.png) top left repeat; }
.image-crop-wrap { clear: both; width: 100%; }
#side-sortables .image-holder img { max-width: 220px; }


/* BG Generator
------------------------------------*/
.bg-generator-wrap { position:relative; }
.bg-generator-input { margin-bottom: 10px; }

/* Box */
#_bg-generator .wp-picker-container { margin-top: 15px; }


/* Color Picker
------------------------------------*/
.box-row .wp-picker-container input[type=text].wp-color-picker,
.dialog-row .wp-picker-container input[type=text].wp-color-picker {
    margin: 0 6px 0 0;
    padding: 3px;
}


/* Dialog styles
------------------------------------*/
.dialog-row {
    clear: both;
    margin-bottom: 26px;
    overflow: hidden;
    display: block;
}

.dialog-row input[type="text"], 
.dialog-row textarea {
    border: 1px solid #ccc;
    color: #333;
    width: 99.8%;
    padding: 8px 6px;
    background: #fff;
    font-size: 12px;
    margin-bottom: 0px;
}

.dialog-row label {
    display: block;
    margin-bottom: 5px;
    color:#222;
    font-size: 14px;
    font-weight: 600;
}
.dialog-row select {
    min-width: 200px;
    /*margin-bottom: 10px;*/
}

.dialog-row  textarea {
    min-height: 100px;
}

.dialog-row  .checkbox-label {
    font-weight: normal !important;
    margin-top: 9px;
    font-size: 12px;
    border-bottom: none;
    float: left;
    margin-right: 20px;
    margin-bottom: 0;
    padding-bottom: 0;
}

.dialog-row .help-box {
    clear: both;
    font-size: 11px;
    color: #555;
    margin-top: 3px;
}

.dialog-row .colorpicker-preview {
    float: left;
    margin-left: 5px;
    border: 1px solid #ddd;
    width: 32px;
    height: 32px;
    border-radius: 3px;
}

.dialog-row .upload-image { margin-top: 4px; }


/* Media queries
------------------------------------------------------------------------ */
@media screen and (max-width: 782px) { 
    ._button {
        padding: 8px 14px !important;
    }


    /* Color Picker
    ------------------------------------*/
    .box-row .wp-picker-container input[type=text].wp-color-picker,
    .dialog-row .wp-picker-container input[type=text].wp-color-picker {
        margin: 0 6px 0 0;
        padding: 9px;
        width: 75px;
    }
}
@media screen and (max-width: 480px) {
    .range .range-slider {  
        width: 220px;
    }
    .box-row .switch-label { 
        width: 200px;
    }

    .box-row .ms-container {
        width: auto;
    }

}
